<?php

require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
if ((!isset($_SESSION['id'])) and (!isset($_SESSION['nick'])))  {
  ?>
  <script type="text/javascript">
  document.location.href = "reg.php?err_login=1";
  </script>
  <?php
}
$user_id=abs(intval($_SESSION['id']));
$user=$dbc->query("SELECT * FROM `users` WHERE`id`='$user_id' LIMIT 1")->fetch_assoc();

$query = "DELETE FROM messages WHERE kto= '$user_id'";
$result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
$query = "DELETE FROM messages_c WHERE kto= '$user_id' and ignor= 'n'";
$result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
header('location: mes.php?act=1');

?>